Bug 600291 - libsynthesis should be a in separate package
libsynthesis should be a in separate package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: syncevolution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 07:22 EDT by Andris Pavenis
Modified: 2010-06-19 04:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: syncevolution-1.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-19 04:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andris Pavenis 2010-06-04 07:22:05 EDT
libsynthesis should be a in separate package. One may want to use it for developing syncml server or client software without installing entire syncevolution (syncevolution in that case pulls many unneeded dependencies)

Additionally static libraries libsynthesissdk.a and libsynthesisstubs.a could be kept in devel package.
Comment 1 Peter Robinson 2010-06-06 07:27:26 EDT
I will be doing a review of the syncevolution packaging soon.
Comment 2 Peter Robinson 2010-06-19 03:47:50 EDT
> Additionally static libraries libsynthesissdk.a and libsynthesisstubs.a could
> be kept in devel package.    

Well according to packaging guidelines if they are needed they would be in a -static package. Is there a need for them?
Comment 3 Peter Robinson 2010-06-19 04:41:44 EDT
Fixed in syncevolution-1.0-1.fc14

Note You need to log in before you can comment on or make changes to this bug.